echo "Installation of LSB Sample Implementation (tools)"
echo
cur_dir=`pwd`;

echo "Enter path to LSB Sample Implementation (chroot):"
read chroot_dir;

until [ -d "$chroot_dir" ]
do
echo "Directory '$chroot_dir' doesn't exist. Enter correct path to LSB Sample Implementation (chroot):"
read chroot_dir;
done

`sed -i "s%/opt/lsb/si/tools%$cur_dir%" lsb-si.desktop`
`sed -i "s%/opt/lsb/si/chroot%$chroot_dir%" si_run.conf`
`sed -i "s%/opt/lsb/si/tools%$cur_dir%" si`

xdg_icon=`which xdg-icon-resource 2>/dev/null`
if [ "$xdg_icon" = "" ]
then
xdg_icon=`whereis xdg-icon-resource | cut -d " " -f2`
fi
if [ "$xdg_icon" = "" ]
then
echo "Can't find xdg-icon-resource, so you can't run 'Sample Implementation' through desktop menu. Use '$cur_dir/si' instead."
else
xdg_menu=`which xdg-desktop-menu 2>/dev/null`
if [ "$xdg_menu" = "" ]
then
xdg_menu=`whereis xdg-desktop-menu | cut -d " " -f2`
fi
if [ "$xdg_menu" = "" ]
then
echo "Can't find xdg-desktop-menu, so you can't run 'Sample Implementation' through desktop menu. Use '$cur_dir/si' instead."
else
$xdg_icon install --size 64 lsb-si.png lsb-si-icon
$xdg_menu install lsb-si.desktop
fi
fi

str=`cat /etc/sudoers | grep -E "^Defaults.*requiretty" 2>/dev/null`
if [ "$str" != ""]
then
echo "Your /etc/sudoers contains 'Defaults requiretty' string. So running of LSB SI by icon or desktop menu may lead to invalid configuration of environment for SI. Use $cur_dir/si instead or comment corresponding string in /etc/sudoers."
fi

echo
echo "LSB Sample Implementation (tools) has been successfully installed"
echo
